# Class: CustomAnchorBehavior

## module:core.dropdown.views.behaviors. CustomAnchorBehavior

The behavior must be applied to a button View if PopoutView has option `customAnchor: true`. The button view should be passed into `buttonView` option of a PopoutView. The behavior defines the place where the speech bubble triangle (we call it anchor) should be placed.

#### new CustomAnchorBehavior(options, view)

  Marionette.Behavior constructor shall never be called manually. The options described here should be passed as behavior options (look into Marionette documentation for details).

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  Options object.

  ###### Properties

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `anchor` | String | <optional> | jQuery-selector pointing to the DOM-element that should be used as an anchor. If omitted, root view element ($el) is used.

  `view` | Marionette.View | A view the behavior is applied to.

### Extends

- Marionette.Behavior

#### Search results